Package net.snowflake.client.log

## Interface ArgSupplier

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ArgSupplier

An interface for representing lambda expressions that supply values to placeholders in message formats.

E.g., `Logger.debug("Value: {}", (ArgSupplier) () -> getValue());`

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `get()` Get value

### Method Detail

#### get

    Object get()

Get value

Returns:
  Object value.